%global pkgvers 0
%global scdate0 20250103
%global schash0 0d58da0b5717365ae2bcd778748cedc5873926b2
%global branch0 master
%global source0 https://github.com/enjoy-digital/litex.git

%global sshort0 %{expand:%%{lua:print(('%{schash0}'):sub(1,8))}}

Name:           litex
Version:        2024.08
Release:        %{scdate0}.%{pkgvers}.git%{sshort0}%{?dist}
Summary:        Efficient infrastructure to create FPGA Cores/SoCs
License:        BSD
BuildArch:      noarch

URL:            https://github.com/enjoy-digital/litex

BuildRequires:  git python3-devel python3-setuptools

Requires:       %{name}-python3 = %{version}-%{release}

%global _python_dist_allow_version_zero 1

%description
The LiteX framework provides a convenient and efficient
infrastructure to create FPGA Cores/SoCs, to explore
various digital design architectures and create full
FPGA based systems.

%package        python3
Summary:        %{summary}
Provides:       litex
Requires:       %{name} = %{version}-%{release}

Requires:       migen amaranth

Requires:       litex-boards

Requires:       liteeth
Requires:       litedram
Requires:       litepcie
Requires:       litesata
Requires:       litesdcard
Requires:       liteiclink
Requires:       litescope
Requires:       litejesd204b
Requires:       litespi
Requires:       litehyperbus

Requires:       pythondata-software-compiler_rt
Requires:       pythondata-software-picolibc

Requires:       pythondata-misc-tapcfg
Requires:       pythondata-misc-usb_ohci

Requires:       pythondata-cpu-lm32
Requires:       pythondata-cpu-mor1kx
Requires:       pythondata-cpu-picorv32
Requires:       pythondata-cpu-serv
Requires:       pythondata-cpu-vexriscv
Requires:       pythondata-cpu-vexriscv-smp
Requires:       pythondata-cpu-rocket
Requires:       pythondata-cpu-minerva
Requires:       pythondata-cpu-microwatt
Requires:       pythondata-cpu-blackparrot
Requires:       pythondata-cpu-cv32e40p
Requires:       pythondata-cpu-cv32e41p
Requires:       pythondata-cpu-cva5
Requires:       pythondata-cpu-cva6
Requires:       pythondata-cpu-ibex
Requires:       pythondata-cpu-naxriscv
Requires:       pythondata-cpu-marocchino

%description    python3
The LiteX framework provides a convenient and efficient
infrastructure to create FPGA Cores/SoCs, to explore
various digital design architectures and create full
FPGA based systems.


%prep
%setup -T -c -n %{name}
git clone --depth 1 -n -b %{branch0} %{source0} .
git fetch --depth 1 origin %{schash0}
git reset --hard %{schash0}
git log --format=fuller


%build
%{py3_build}


%install
%{py3_install}


%files
%doc doc
%doc README.md
%license LICENSE
%{_bindir}/*

%files python3
%{python3_sitelib}/*


%changelog
* Thu Nov 18 2021 Cristian Balint <cristian.balint@gmail.com>
- initial release
